"""
This module provides a simple python wrapper to the [OTPS tidal model](http://volkov.oce.orst.edu/tides/otps.html).
"""

from setuptools import setup, find_packages
from os import path
here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

# Arguments marked as "Required" below must be included for upload to PyPI.
# Fields marked as "Optional" may be commented out.

setup(
    name='otps',
    version='0.3',
    description='Tide analysis tool',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://github.com/GeoscienceAustralia/shallow_water',
    author='Gary Egbert & Lana Erofeeva',
    author_email='egbert@coas.oregonstate.edu',
    packages=find_packages(exclude=['test']),
    python_requires='>=3.5',
    extras_require={
        'dev': ['check-manifest'],
    },
    scripts=['otps/bin/otps_fetch_data'],
    include_package_data=True,
    install_requires=[],
    zip_safe=False,
)
